summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 12:43:36 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-06 12:43:36 +0000
commita34035c1736ad9705a679f1cf1d71f9037616ae7 (patch)
tree5833ab64afb98bbd8995a925657ff83daca0d717 /testsuite
parentAdding debian version 1.5-1. (diff)
downloadclzip-a34035c1736ad9705a679f1cf1d71f9037616ae7.tar.xz
clzip-a34035c1736ad9705a679f1cf1d71f9037616ae7.zip
Merging upstream version 1.6~pre1.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh20
1 files changed, 16 insertions, 4 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 53c52a3..50f3c44 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# check script for Clzip - LZMA lossless data compressor
-# Copyright (C) 2010, 2011, 2012, 2013 Antonio Diaz Diaz.
+# Copyright (C) 2010, 2011, 2012, 2013, 2014 Antonio Diaz Diaz.
#
# This script is free software: you have unlimited permission
# to copy, distribute and modify it.
@@ -27,13 +27,17 @@ fail=0
printf "testing clzip-%s..." "$2"
+"${LZIP}" -cqm4 in > /dev/null
+if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
+"${LZIP}" -cqm274 in > /dev/null
+if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -cqs-1 in > /dev/null
if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -cqs0 in > /dev/null
if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -cqs4095 in > /dev/null
if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
-"${LZIP}" -cqm274 in > /dev/null
+"${LZIP}" -cqs513MiB in > /dev/null
if [ $? = 1 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -tq in
if [ $? = 2 ] ; then printf . ; else fail=1 ; printf - ; fi
@@ -97,8 +101,16 @@ cmp in anyothername.out || fail=1
printf .
cat in in > in2 || framework_failure
-"${LZIP}" < in2 > out2 || fail=1
-"${LZIP}" -d < out2 > copy2 || fail=1
+"${LZIP}" -o copy2 < in2 || fail=1
+"${LZIP}" -t copy2.lz || fail=1
+printf .
+"${LZIP}" -cd copy2.lz > copy2 || fail=1
+cmp in2 copy2 || fail=1
+printf .
+
+printf "garbage" >> copy2.lz || framework_failure
+printf "to be overwritten" > copy2 || framework_failure
+"${LZIP}" -df copy2.lz || fail=1
cmp in2 copy2 || fail=1
printf .